body {
  	margin: 0;
	display: flex;
	flex-direction: column;
	min-height: 100vh;
}

* {
	box-sizing: border-box;
	font-family: "Exo 2", sans-serif;
	font-optical-sizing: auto;
}

nav {
	position: fixed;
	width: 100%;
	min-height: 2.5rem;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	z-index: 9999;
	background-color: rgba(255, 255, 255, 0.4);
	backdrop-filter: blur(10px);
	box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.1);
}

header {
	background-color: rgba(200, 200, 255, 0.4);
}

.navalog {
	justify-content: center;
	display: flex;
	flex-direction: row;
	gap: 3rem;
	padding: .6rem;
	align-items: center;
}

.navalog-actions {
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: .5rem;
}

.navalog-actions a {
	padding: .5rem 1rem;
	background-color: #ddd;
	color: black;
	text-decoration: none;
	border-radius: 3px;
	font-size: .9rem;
}

.navalog-actions button {
	background-color: #ddd;
	color: #0f0f0f;
	border: none;
	border-radius: 3px;
	cursor: pointer;
	aspect-ratio: 1 / 1;
	width: 2.1rem;
}

.navalog-actions button svg {
	width: .8rem;
	height: .8rem;
}

.navalog-actions a:hover, .navalog-actions button:hover {
	background-color: #ccc;
}

navbar {
	display: flex;
	flex-direction: row;
	max-width: 75rem;
	width: 100%;
	justify-content: space-between;
	margin: auto;
}

navsection {
	display: flex;
	flex-direction: row;
}

navsection a {
	padding: .5rem .75rem;
	height: 4rem;
	color: black;
	text-decoration: none;
	color: #0f0f0f;
	align-items: center;
	display: flex;
	flex-direction: row;
	gap: .5rem;
}

navsection a img {
	height: 2rem;
}

main {
	padding-top: 2.5rem;
	display: flex;
	flex-direction: column;
	margin: 1rem;
}

main > * {
	max-width: 75rem;
	margin: auto;
	width: 100%;
}

footer {
	margin-top: auto;
	padding: 1rem;
	display: flex;
	flex-direction: column;
	background-color: #eee;
	justify-content: center;
}

footersection {
	max-width: 75rem;
	display: flex;
	margin: auto;
}

.bottomline, footersubsection {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
}

.bottomline {
	column-gap: 5rem;
	justify-content: space-between;
	width: 100%;
}

footersubsection {
	justify-content: left;
}

.bottomline a {
	color: #0f0f0f;
	text-decoration: none;
	font-size: .9rem;
	padding: 0 .5rem;
	white-space: nowrap;
}

#lang-root {
	padding-bottom: 3rem;
}

.lang-region {
	display: flex;
	flex-direction: column;
	column-gap: .5rem;
}

.lang-region-title {
	font-size: 1.5rem;
	padding: .5rem 0;
	border-bottom: 1px solid #aaa;
	margin: 0.5rem 0;
	font-weight: normal;
}

.lang-list {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	flex-wrap: wrap;
	row-gap: .5rem;
	padding: 0rem 0rem 2rem 0rem;
	
	&:after {
		content: "";
		flex: auto;
	}
}

.lang-list a {
	padding: 0rem .5rem;
	color: #55f;
	text-decoration: none;
	white-space: nowrap;
	min-width: 25rem;
}

/* Page Title */
h1 {
	font-size: 1.75rem;
	margin: 5rem auto .5rem auto;
}

.pfp {
	border-radius: 50%;
	border: 1px solid #555;
}

.columnar {
	justify-content: space-between;
	width: 100%;
	display: flex;
	flex-direction: row;
	gap: 1rem;
	flex-wrap: wrap;
}

footercolumn {
	display: flex;
	flex-direction: column;
	gap: .5rem;
	padding-bottom: 2rem;
}

footeritems {
	display: flex;
	flex-direction: column;
	gap: .2rem;
}

footeritems a {
	color: #444;
	font-size: .9rem;
	text-decoration: none;
}

.fspanel {
	display: flex;
	flex-direction: column;
	gap: .5rem;
	padding-bottom: 5rem;
	max-width: 75rem;
	margin: auto;
	width: 100%;
}